# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Global Transport eCommerce processor
    countries: [MV, CN, HK, IN, MY, PH, SG, TW, BR, CA, RU, MT, ES, GB, US, GR, HU, SK]
    class: QSL\GlobalTransport\Model\Payment\Processor\GlobalTransport
    type: C
    translations:
      - code: en
        name: Global Transport eCommerce processor
      - code: es
        name: Procesador de comercio electrónico Global Transport
    settings:
      - name: profileID
      - name: APIToken
      - name: allowedCCTypes
XLite\Model\LanguageLabel:
  - {name: "GT Profile ID", translations: [{code: en, label: "GT Profile ID"}]}
  - {name: "GT API Token", translations: [{code: en, label: "GT API Token"}]}
  - {name: "Allowed credit card types", translations: [{code: en, label: "Allowed credit card types"}]}
  - {name: "GT acceptable credit card types note", translations: [{code: en, label: "Acceptable credit card types."}]}
  - {name: "GT currency note", translations: [{code: en, label: "Currency code according to ISO."}]}
  - {name: "GT invoice number prefix", translations: [{code: en, label: "GT invoice number prefix"}]}
  - {name: "GT Merchant Payment Template", translations: [{code: en, label: "Merchant Payment Template"}]}
  - {name: "GT Merchant Payment Template note", translations: [{code: en, label: "The merchant payment template is a page in the merchant site that has all the template and user session<br />logic that will be used for the presentation of the Hosted Payment Page.<br />The page contains the value [[FORM INSERT]] in the content area. The HTML CLONE technology will read the HTML<br />contents of the page and will search for [[FORM INSERT]] and replace with the Credit Card payment form.<br />You can edit this page to change template logic or anything else."}]}
  - {name: "GT Show payment template on", translations: [{code: en, label: "Show payment template on"}]}
  - {name: "GT Show payment template on note", translations: [{code: en, label: "Display payment form on X-Cart page or on the blank page"}]}
